> ## Documentation Index
> Fetch the complete documentation index at: https://developers.zerion.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Count wallets within subscription

> This endpoint returns the count of wallets within a specific subscription by subscription ID.

> NOTE: Consider all IDs as abstract strings, without making any assumptions about their format or relying on such assumptions. There is a non-zero probability that IDs may change in the future, and this should not result in any breaking changes.




## OpenAPI

````yaml /openapi-v1.yaml get /v1/tx-subscriptions/{subscription_id}/wallets/count
openapi: 3.0.3
info:
  version: 1.0.0
  title: REST API
  description: REST-like API provides access to rich Zerion ecosystem.
  contact:
    name: Zerion API
    url: https://developers.zerion.io/
    email: api@zerion.io
servers:
  - description: Production API
    url: https://api.zerion.io
security:
  - APIKeyBasicAuth: []
tags:
  - name: wallets
    description: >-
      Operations related to wallets, such as portfolio charts, positions, and
      transactions.
  - name: wallet sets
    description: >-
      Operations on a wallet set — aggregated portfolio data across at most one
      EVM address and one Solana address queried together.
  - name: fungibles
    description: >-
      Operations related to fungible assets, such as list them all, search or
      get by ID.
  - name: chains
    description: Operations related to chains, such as list all chains.
  - name: swap
    description: Operations related to swapping and bridging assets.
  - name: gas
    description: Operations related to gas.
  - name: nfts
    description: >-
      Operations related to non fungible assets, such list them, search or get
      by ID.
  - name: dapps
    description: >-
      Operations related to decentralized applications, such as list them all,
      search or get by ID.
  - name: subscriptions to transactions
    description: Operations related to subscriptions to transactions.
paths:
  /v1/tx-subscriptions/{subscription_id}/wallets/count:
    get:
      tags:
        - subscriptions to transactions
      summary: Count wallets within subscription
      description: >
        This endpoint returns the count of wallets within a specific
        subscription by subscription ID.


        > NOTE: Consider all IDs as abstract strings, without making any
        assumptions about their format or relying on such assumptions. There is
        a non-zero probability that IDs may change in the future, and this
        should not result in any breaking changes.
      operationId: GetSubscribedWalletsCountInSubscription
      parameters:
        - name: subscription_id
          in: path
          required: true
          description: ID of the subscription
          schema:
            type: string
            example: 77e77447-1586-40e8-a75b-467ef939a0b1
      responses:
        '200':
          $ref: '#/components/responses/SubscriptionWalletsCountResponse'
        '400':
          $ref: '#/components/responses/MalformedParameters'
        '401':
          $ref: '#/components/responses/UnauthenticatedError'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  responses:
    SubscriptionWalletsCountResponse:
      description: Response for wallets count within subscription
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Response-24'
    MalformedParameters:
      description: Parameters are malformed
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Parameter is malformed
                    detail:
                      type: string
                      description: Long description of the error
                      example: Some validation errors will be described here
    UnauthenticatedError:
      description: Unathenticated request
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Unauthorized Error
                    detail:
                      type: string
                      description: Long description of the error
                      example: >-
                        The API key is invalid, please, make sure that you are
                        using a valid key
    NotFoundResponse:
      description: Resource was not found
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Resource was not found
                    detail:
                      type: string
                      description: Long description of the error
                      example: Requested resource was not found, try later
    TooManyRequests:
      description: Too many requests error
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Too many requests
                    detail:
                      type: string
                      description: Long description of the error
                      example: Your request had been throttled
  schemas:
    Response-24:
      type: object
      required:
        - links
        - data
      properties:
        links:
          $ref: '#/components/schemas/ResponseLinks-20'
        data:
          $ref: '#/components/schemas/Container-20'
    ResponseLinks-20:
      type: object
      required:
        - self
      properties:
        self:
          type: string
          format: url
          example: >-
            https://api.zerion.io/v1/tx-subscriptions/77e77447-1586-40e8-a75b-467ef939a0b1/wallets?page%5Bsize%5D=10
        next:
          type: string
          format: url
          example: >-
            https://api.zerion.io/v1/tx-subscriptions/77e77447-1586-40e8-a75b-467ef939a0b1/wallets?page%5Bsize%5D=10&page%5Bafter%5D=MjAyNS0xMC0wMVQxMjowNzo1NlosNjhkZDE5OWMyMDFlODI3ODQzZmZkN2Jl
    Container-20:
      type: object
      required:
        - type
        - id
        - attributes
        - relationships
      properties:
        type:
          type: string
          example: transactions_subscription_wallets_count
        id:
          type: string
          description: Unique ID
          example: 52d994a173d755e99845e861d534a419-wallets-count
        attributes:
          $ref: '#/components/schemas/Attributes-18'
        relationships:
          $ref: '#/components/schemas/Relationships-11'
    Attributes-18:
      type: object
      required:
        - count
      properties:
        count:
          type: integer
          format: int64
          description: Number of wallets within the subscription
          example: 42
    Relationships-11:
      type: object
      properties:
        subscription:
          $ref: '#/components/schemas/PaginatedRelationship'
    PaginatedRelationship:
      type: object
      required:
        - links
        - data
      properties:
        links:
          $ref: '#/components/schemas/PaginatedRelationshipLinks'
        data:
          $ref: '#/components/schemas/RelationshipContainer'
    PaginatedRelationshipLinks:
      type: object
      required:
        - related
      properties:
        self:
          type: string
          format: url
          example: >-
            https://api.zerion.io/v1/tx-subscriptions/8bf9db31-eb59-4fa9-973c-34e3428acf5d/wallets?page%5Bsize%5D=10
        next:
          type: string
          format: url
          example: >-
            https://api.zerion.io/v1/tx-subscriptions/8bf9db31-eb59-4fa9-973c-34e3428acf5d/wallets?page%5Bsize%5D=10&page%5Bafter%5D=MjAyNS0xMC0wMVQxMjowNzo1NlosNjhkZDE5OWMyMDFlODI3ODQzZmZkN2Jl
        related:
          type: string
          format: url
          description: URL to the current subscription
          example: >-
            https://api.zerion.io/v1/tx-subscriptions/8bf9db31-eb59-4fa9-973c-34e3428acf5d
    RelationshipContainer:
      type: object
      required:
        - type
        - id
      properties:
        type:
          type: string
          description: Subscription resource type
          example: subscription
        id:
          type: string
          description: Subscription unique identifier
          example: 8bf9db31-eb59-4fa9-973c-34e3428acf5d
  securitySchemes:
    APIKeyBasicAuth:
      type: http
      scheme: basic
      description: >-
        To test endpoints here, paste your API key from the
        [dashboard](https://dashboard.zerion.io/) into the username field and
        leave the password empty.

````